Draft Mirror: Difference between revisions

From FreeCAD Documentation
(See also Draft Move, Draft Rotate, and Draft Clone to do manual mirroring and copying. It can be used in 2D and 3D objects.)
(Draft AddPoint button)
Line 20: Line 20:


==How to use== <!--T:4-->
==How to use== <!--T:4-->
# Select objects you wish to mirror
# Select an object that you wish to mirror.
# Press the {{KEY|[[Image:Draft Mirror.png|16px]] [[Draft Mirror]]}} button
# Press the {{Button|[[Image:Draft Mirror.png|16px]] [[Draft Mirror]]}} button. If no object is selected, you will be invited to select one.
# Click the first point of the mirror line on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click the first point of the mirror line on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click the other point of the mirror line on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click the second point of the mirror line on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.


==Properties== <!--T:5-->
==Properties== <!--T:5-->

Revision as of 16:57, 16 November 2018

Draft Mirror

Menu location
Draft → Mirror
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
Draft Scale, Draft Clone

Description

The Mirror tool produces a mirrored copy of a selected object, using the Part Mirror operation. The copy, just like a Draft Clone, is linked to the original object. This means that if the original object changes its shape and properties, the mirrored shape changes as well.

The Mirror tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create copies or clones, and manually place them use Draft Move, Draft Rotate, and Draft Clone.

How to use

  1. Select an object that you wish to mirror.
  2. Press the Draft Mirror button. If no object is selected, you will be invited to select one.
  3. Click the first point of the mirror line on the 3D view, or type a coordinate and press the add point button.
  4. Click the second point of the mirror line on the 3D view, or type a coordinate and press the add point button.

Properties

  • DataBase: The base point of the mirror plane
  • DataNormal: The normal direction of the mirror plane

Options

Scripting

The Clone tool can by used in macros and from the python console by using the following function:

mirror (objectslist,p1,p2)
  • Makes mirror(s) of the given object(s) across a plane defined by a line from p1 to p2, and parallel to the current view
  • The result is a Part Mirror object
  • If the original object changes, the final object changes too but keeps mirrored

Example:

import Draft,FeeCAD
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2,2,0)
Draft.mirror(FreeCAD.ActiveDocument.ActiveObject,p1,p2)